Subject: Re: bug#14949: Snapped window acts like a fullscreen one (Windows 7)

From: martin rudalics <[email-masked]>
Date: Sun, 05 Jan 2014 19:39:23 +0100

> If I had to guess, I'd bet that when the window is snapped (that's how
 > the feature is called, Aero Snap), Windows remembers that it is
 > sort-of-maximized (to make de-snapping possible). So if we pass
 > SW_SHOWNORMAL ("If the window is minimized or maximized, the system
 > restores it to its original size and position") to ShowWindow, Windows
 > restores the frame; then Emacs gets hold of the (new) size and
 > position.
 >
 > Does that make any sense?

It does.  You should be able to verify this by debugging it.  Or better
by investigating the WINDOWPLACEMENT structure.  Then you can try to
replace SW_SHOWNORMAL by SW_RESTORE.  If that doesn't help either we are
probably lost.

martin